Package ru.bitel.common.model

# Class Tied.Utils<T,TT extends Tied>

java.lang.Object
ru.bitel.common.model.Tied.Utils<T,TT>

Enclosing interface:
  `Tied`

public static class Tied.Utils<T,TT extends Tied> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Utils(Tied.TieResolver<T,TT> resolver, ru.bitel.common.util.Ranger<T,Date> ranger)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkAdd(List<T> currentList, Iterable<T> add, int field)`
  `void`
  `checkAdd(List<T> currentList, T add, int field)`
  `void`
  `checkClose(List<T> currentList, Iterable<T> close, Date date, int field)`
  `void`
  `checkClose(List<T> currentList, T close, Date date, int field)`
  `void`
  `checkRemove(List<T> currentList, Iterable<T> remove, int field)`
  `void`
  `checkRemove(List<T> currentList, T remove, int field)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Utils

    public Utils(Tied.TieResolver<T,TT> resolver, ru.bitel.common.util.Ranger<T,Date> ranger)

- ## Method Details

  - ### checkAdd

    public void checkAdd(List<T> currentList, T add, int field) throws Tied.TieUnresolvedException
    Throws:
      `Tied.TieUnresolvedException`

  - ### checkAdd

    public void checkAdd(List<T> currentList, Iterable<T> add, int field) throws Tied.TieUnresolvedException
    Throws:
      `Tied.TieUnresolvedException`

  - ### checkRemove

    public void checkRemove(List<T> currentList, T remove, int field) throws Tied.TieUnresolvedException
    Throws:
      `Tied.TieUnresolvedException`

  - ### checkRemove

    public void checkRemove(List<T> currentList, Iterable<T> remove, int field) throws Tied.TieUnresolvedException
    Throws:
      `Tied.TieUnresolvedException`

  - ### checkClose

    public void checkClose(List<T> currentList, T close, Date date, int field) throws Tied.TieUnresolvedException
    Throws:
      `Tied.TieUnresolvedException`

  - ### checkClose

    public void checkClose(List<T> currentList, Iterable<T> close, Date date, int field) throws Tied.TieUnresolvedException
    Throws:
      `Tied.TieUnresolvedException`